post
https://api.authcx.com/TextMedia/Upload
Uploads a text media interaction into storage for processing.
Param name "file"
Text file uploaded from client.
Valid File Extensions:
- .json
- .json_chat
Param name "metadata"
JSON object containing multiple metadata fields for the text media File:
Note: Including theIdfield is recommended. If omitted, one is generated for you, but providing your own lets you correlate with your system.
- Id:
Unique identifier for the text media. example: "4834c9e9-74f2-4bfe-a0c8-ce947a4f30e3" - FilePath:
Path containing file name and extension. Subdirectories specifying a more exact path may be prepended to the file. If omitted, the system derives a path from theId.
name.
Examples:
-- With subdirectories: "topfolder/subfolder/subsubfolder/filename.json"
-- Without subdirectories: "filename.json" - TimeStamp:
Time stamp of the interaction.
Examples: "2022-03-18T21:52:26", "2022-03-18T21:52:26.8816090Z", "2022-03-19", "2022-03-18T17:56:09.8683110-04:00" - CallDirection:
Direction of the interaction's call to or from the call center.
Examples:
-- "Inbound"
-- "Outbound" - Name:
Name associated with interaction.
Example:
-- "Alice" - Phone:
Phone number associated with interaction.
Example:
--"800-555-5555" - AgentFirstName:
Agent's First Name associated with interaction.
Example:
--"James" - AgentLastName:
Agent's Last Name associated with interaction.
Example:
--"Bond" - AgentCode:
Agent Code for associating agent already in system with interaction.
Example:
--"007" - ExtendedMetadata:
Array of Dictionaries of key values associated with interaction
Examples:
-- [{ "Data": "Example Data"}, { "Data2": "Example Data 2", "ExampleKey": "Example Value" }] - HierarchyId:
Id of hierarchy to associate with this interaction
Example:
-- "00000000-0000-0000-0000-000000000002" - HierarchyCode:
Internal Organization Code for associating hierarchy with this interaction
Example:
-- "Accounting" - ApplyHierarchyToAgent:
If we want the hierarchy that is passed in to also be applied to the agent then true
Example:
-- true - LocaleId:
Specifies the language of the interaction using a locale ID. Defaults to1033(English) if omitted.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
200Returns an object with the FileName and FileSizeKb
400One of the following errors occurred: the file provided had an invalid extension, no metadata was provided,
provided metadata was malformed, provided metadata had no FileName, an interaction with the provided file name
already exists.
